/*!
 * zeroModal.js
 * http://git.oschina.net/cylansad/zeroModal
 *
 * Copyright 2016, Sad
 */

.zeromodal-body {
    font-size: 0.9rem;
    color: var(--color-w65);
    min-height: 220px;
    max-height: 600px;
    height: auto !important;
}


.zeromodal-btn {
    margin-bottom: 0;
    text-align: center;
    font-size: 14px;
    outline: none;
    display: inline-block;
    margin-left: 4px;
    font-weight: 400;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    background-image: none;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 8px;
    line-height: 20px;
    border-radius: 1px;
    min-width: 80px;
    box-shadow: 0 2px 10px 2px rgb(0 0 0 / 18%);
    -webkit-transition: all;
    transition: all;
    -webkit-transition-duration: .3s;
    transition-duration: .3s;
}

.zeromodal-btn:hover {
    box-shadow: 0 3px 4px rgba(0, 0, 0, .32);
}

/* 測試補上 */
.zeromodal-overlay {
    width: 100%;
    height: 1000px;
    position: absolute;
    z-index: 1000;
    opacity: 1 !important;
    background-color: var(--color-b19);
    backdrop-filter: blur(0.5rem);
    top: 0;
    left: 0;
}

.zeromodal-container {
    font-family: "Hiragino Sans GB", "Microsoft YaHei", Arial-normal, "open sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    position: absolute;
    box-shadow: 0 6px 24px 7px rgb(0 0 0 / 72%);
    border-radius: 4px;
    z-index: 1001;
    padding: 19px 16px;
    box-sizing: content-box;
    top: 2vh !important;
    height: auto;
    min-height: 300px;
    position: fixed;
    top: 50% !important;
    transform: translateY(-50%);
    bottom: auto;
    background-color: var(--color-b44);
    backdrop-filter: blur(0.5rem);
    border: 1px solid var(--color-w23);
}

.zeromodal-top {
    cursor: move;
    height: 24px;
    position: absolute;
    top: 0px;
    left: 0;
    width: 100%;
}

.zeromodal-header {
    color: var(--color-w100);
    font-weight: bold;
    margin: 4px 0 16px 4px;
}

.zeromodal-close {
    background: url(../img/close.png);
    width: 16px;
    height: 16px;
    position: relative;
    float: right;
    margin-right: 3px;
    cursor: pointer;
}

.zeromodal-close:hover {
    filter: alpha(opacity=50);
    opacity: .5;
}

.zeromodal-overflow-y {
    overflow-y: auto;
}

.zeromodal-icon {
    width: 80px;
    height: 80px;
    border: 4px solid #808080;
    border-radius: 50%;
    margin: 16px auto 16px;
    margin-top: 16px;
    padding: 0;
    position: relative;
    box-sizing: content-box;
    cursor: default;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.zeromodal-icon.zeromodal-icon-info {
    font-family: "Open Sans", sans-serif;
    color: #3fc3ee;
    border-color: #3fc3ee;
    font-size: 60px;
    line-height: 80px;
    text-align: center;
}

.zeromodal-icon.zeromodal-icon-question {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    color: var(--color-w65);
    border-color: var(--color-w65);
    font-size: 60px;
    line-height: 80px;
    text-align: center;
}

.zeromodal-error {
    border-color: #f27474;
}

.zeromodal-icon.zeromodal-error .x-mark {
    position: relative;
    display: block;
}

.zeromodal-icon.zeromodal-error .line.left {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    left: 17px;
}

.zeromodal-icon.zeromodal-error .line {
    position: absolute;
    height: 5px;
    width: 47px;
    background-color: #f27474;
    display: block;
    top: 37px;
    border-radius: 2px;
}

.zeromodal-icon.zeromodal-error .line.right {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    right: 16px;
}

.zeromodal-icon.zeromodal-success {
    border-color: #a5dc86;
}

.zeromodal-icon.zeromodal-success::before {
    border-radius: 120px 0 0 120px;
    top: -7px;
    left: -33px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-transform-origin: 60px 60px;
    transform-origin: 60px 60px;
}

.zeromodal-icon.zeromodal-success::after {
    border-radius: 0 120px 120px 0;
    top: -11px;
    left: 30px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-transform-origin: 0 60px;
    transform-origin: 0 60px;
}

.zeromodal-icon.zeromodal-success .placeholder {
    width: 80px;
    height: 80px;
    border: 4px solid rgba(165, 220, 134, 0.2);
    border-radius: 50%;
    box-sizing: content-box;
    position: absolute;
    left: -4px;
    top: -4px;
    z-index: 2;
}

.zeromodal-icon.zeromodal-success .fix {
    width: 7px;
    height: 90px;
    background-color: #fff;
    position: absolute;
    left: 28px;
    top: 8px;
    z-index: 1;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.zeromodal-icon.zeromodal-success .line {
    height: 5px;
    background-color: #a5dc86;
    display: block;
    border-radius: 2px;
    position: absolute;
    z-index: 2;
}

.zeromodal-icon.zeromodal-success .line.tip {
    width: 25px;
    left: 14px;
    top: 46px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

.zeromodal-icon.zeromodal-success .line.long {
    width: 47px;
    right: 8px;
    top: 38px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

.show-zero2 {
    -webkit-animation: showZeroAlert 0.3s;
    animation: showZeroAlert 0.3s;
}

.show-zero2.no-animation {
    -webkit-animation: none;
    animation: none;
}

.zeromodal-title1 {
    width: 100%;
    text-align: center;
    color: var(--color-w100);
    font-size: 20px;
    font-weight: bold;
    padding: 8px 0;
}

.zeromodal-title2 {
    width: 100%;
    text-align: center;
    color: var(--color-w100);
    font-size: 13px;
    padding: 8px 0;
}

.zeromodal-footer {
    width: 100%;
    margin-top: 1.5rem;
}

.zeromodal-btn-container {
    text-align: right;
    padding-right: 15px;
}

.zeromodal-btn-primary {
    color: #fff;
    background-color: var(--color-btn);
    border: none;
    border-radius: 3px;
}

.zeromodal-btn:hover {
    box-shadow: 0 3px 4px rgba(0, 0, 0, .32);
}

@-webkit-keyframes showZeroAlert {
    0% {
        -webkit-transform: scale(0.7);
        transform: scale(0.7);
    }

    45% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05);
    }

    80% {
        -webkit-transform: scale(0.95);
        transform: scale(0.95);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes showZeroAlert {
    0% {
        -webkit-transform: scale(0.7);
        transform: scale(0.7);
    }

    45% {
        -webkit-transform: scale(1.05);
        transform: scale(1.05);
    }

    80% {
        -webkit-transform: scale(0.95);
        transform: scale(0.95);
    }

    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@-webkit-keyframes hideZeroAlert {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0.5);
        transform: scale(0.5);
        opacity: 0;
    }
}

@keyframes hideZeroAlert {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        opacity: 1;
    }

    100% {
        -webkit-transform: scale(0.5);
        transform: scale(0.5);
        opacity: 0;
    }
}

@-webkit-keyframes rotate_pacman_half_up {
    0% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }

    50% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }

    100% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }
}

@keyframes rotate_pacman_half_up {
    0% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }

    50% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }

    100% {
        -webkit-transform: rotate(270deg);
        transform: rotate(270deg);
    }
}

@-webkit-keyframes rotate_pacman_half_down {
    0% {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }

    50% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }
}

@keyframes rotate_pacman_half_down {
    0% {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }

    50% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(90deg);
        transform: rotate(90deg);
    }
}

@-webkit-keyframes pacman-balls {
    75% {
        opacity: 0.7;
    }

    100% {
        -webkit-transform: translate(-100px, -6.25px);
        transform: translate(-100px, -6.25px);
    }
}

@keyframes pacman-balls {
    75% {
        opacity: 0.7;
    }

    100% {
        -webkit-transform: translate(-100px, -6.25px);
        transform: translate(-100px, -6.25px);
    }
}

@-webkit-keyframes line-scale-pulse-out {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    50% {
        -webkit-transform: scaley(0.4);
        transform: scaley(0.4);
    }

    100% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

@keyframes line-scale-pulse-out {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    50% {
        -webkit-transform: scaley(0.4);
        transform: scaley(0.4);
    }

    100% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

@-webkit-keyframes line-scale-pulse-out-rapid {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    80% {
        -webkit-transform: scaley(0.3);
        transform: scaley(0.3);
    }

    90% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

@keyframes line-scale-pulse-out-rapid {
    0% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }

    80% {
        -webkit-transform: scaley(0.3);
        transform: scaley(0.3);
    }

    90% {
        -webkit-transform: scaley(1);
        transform: scaley(1);
    }
}

@-webkit-keyframes line-spin-fade-loader {
    50% {
        opacity: 0.3;
    }

    100% {
        opacity: 1;
    }
}

@keyframes line-spin-fade-loader {
    50% {
        opacity: 0.3;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes square-spin {
    25% {
        -webkit-transform: perspective(100px) rotateX(180deg) rotateY(0);
        transform: perspective(100px) rotateX(180deg) rotateY(0);
    }

    50% {
        -webkit-transform: perspective(100px) rotateX(180deg) rotateY(180deg);
        transform: perspective(100px) rotateX(180deg) rotateY(180deg);
    }

    75% {
        -webkit-transform: perspective(100px) rotateX(0) rotateY(180deg);
        transform: perspective(100px) rotateX(0) rotateY(180deg);
    }

    100% {
        -webkit-transform: perspective(100px) rotateX(0) rotateY(0);
        transform: perspective(100px) rotateX(0) rotateY(0);
    }
}

@keyframes square-spin {
    25% {
        -webkit-transform: perspective(100px) rotateX(180deg) rotateY(0);
        transform: perspective(100px) rotateX(180deg) rotateY(0);
    }

    50% {
        -webkit-transform: perspective(100px) rotateX(180deg) rotateY(180deg);
        transform: perspective(100px) rotateX(180deg) rotateY(180deg);
    }

    75% {
        -webkit-transform: perspective(100px) rotateX(0) rotateY(180deg);
        transform: perspective(100px) rotateX(0) rotateY(180deg);
    }

    100% {
        -webkit-transform: perspective(100px) rotateX(0) rotateY(0);
        transform: perspective(100px) rotateX(0) rotateY(0);
    }
}

@media screen and (max-width:767px) {
    .turn-box {
        width: 75%;
    }

    .exChange {
        right: 191px;
    }

    .zeromodal-container {
        width: 96vw !important;
        box-sizing: border-box !important;
        left: 0 !important;
        margin-left: calc(100vw - 98vw) !important;
    }

    .zeromodal-footer {
        margin-top: unset;
    }
}